Bug 135095 - LDAP support missing from cyrus-sasl
LDAP support missing from cyrus-sasl
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 12:28 EDT by Graham Leggett
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:16:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2004-10-08 12:28:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040925

Description of problem:
According to the man page for saslauthd, it is possible to
authenticate against an LDAP directory:

     ldap       (All platforms that support OpenLDAP 2.0 or higher)
                                                                     
          
                Authenticate against an ldap server.  The ldap
configuration
                parameters are read from
/usr/local/etc/saslauthd.conf.  The
                location of this file can be changed with the -O
parameter.
                See the LDAP_SASLAUTHD file included with the
distribution for
                the list of available parameters.
                                                                     
          
According to the mechanism for determining which auth mechanisms are
supported, LDAP support is missing:

[root@chandler root]# /usr/sbin/saslauthd -v
saslauthd 2.1.15
authentication mechanisms: getpwent kerberos5 pam rimap shadow
 


Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.15-10

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
Comment 1 Peter Bieringer 2005-03-08 06:49:28 EST
I do not understand, why it's not LDAP enabled by default, here is a workaround,
rebuild package using fix below, proper working now here on my system.

Note also that version cyrus-sasl-2.1.19-5.EL4 of RHEL4 is LDAP enabled by default.

--- cyrus-sasl-2.1.15-10.spec   2005-02-21 20:13:48.000000000 -0500
+++ cyrus-sasl-2.1.15-10.1.spec 2005-02-21 21:16:54.000000000 -0500
@@ -5,7 +5,7 @@
 Summary: The Cyrus SASL library.
 Name: cyrus-sasl
 Version: 2.1.15
-Release: 10
+Release: 10.1
 License: Freely Distributable
 Group: System Environment/Libraries
 Source0: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-%{version}.tar.gz
@@ -176,6 +176,7 @@
        --enable-cram \
        --enable-digest \
        --enable-plain \
+       --with-ldap=/usr/include \
        --enable-login
        # --enable-auth-sasldb -- EXPERIMENTAL
 make sasldir=%{_plugindir2}
Comment 2 RHEL Product and Program Management 2007-10-19 15:16:36 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.